# Game

### Introduction

The Game property returns a reference to the [Microsoft.Xna.Framework.Game](https://github.com/flatredball/FlatRedBallDocs/blob/main/frb/docs/index.php) object. This will match the Game-inheriting class that is the root of all FlatRedBall games, usually called "Game1". For more information, see the [Game page](https://github.com/flatredball/FlatRedBallDocs/blob/main/frb/docs/index.php).

### Code Example

```
// Sets the cursor to be visible on PC games:
FlatRedBallServices.Game.IsMouseVisible = true;
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.flatredball.com/flatredball/api/flatredball/flatredballservices/game.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
